View Issue Details

IDProjectCategoryView StatusLast Update
0002084XdebugStep Debuggingpublic2022-04-28 19:45
Reporterverticon Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionno change required 
Product Version3.0.4 
Summary0002084: Breakpoints not triggering (under certain conditions)
Description

In order to explore why my breakpoints are not being triggered I configured xdebug to produce a log with a level of 10. Studying the logs revealed that breakpoint matching does not occur when the file in which the breakpoint is set contains a path component with a space in its name.

I am attaching two log files: xdebugBreakpoiintSuccess.log and xdebugBreakpointFailure.log. Into each of these files I have added a comment that begins with Dear XDebug team. When You look you will see what I am talking about.

The space in the directory name is a consequence of me having my files on my iCloud Drive. Right now my only option is to move them to a different place. :-(

Steps To Reproduce

Create a host whose document root has a space in the name of one of its directories.

Additional Information

xdebug 3.0.4

PHP 8.0.8 (cli) (built: Oct 1 2021 11:21:06) ( NTS )
Copyright (c) The PHP Group
Zend Engine v4.0.8, Copyright (c) Zend Technologies

TagsNo tags attached.
Operating SystemMac OS Monterey 12.2.1
PHP Version8.0.10-8.0.19

Activities

verticon

2022-04-26 13:39

reporter  

xdebugBreakpointSuccess.log (16,982 bytes)   
[41964] Log opened at 2022-04-26 11:27:39.567207
[41964] [Step Debug] INFO: Connecting to configured address/port: localhost:9000.
[41964] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[41964] [Step Debug] INFO: Connected to debugging client: localhost:9000 (through xdebug.client_host/xdebug.client_port). :-)
[41964] [Step Debug] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///Users/robertvaessen/Sites/xdebug.test/php/index.php" language="PHP" xdebug:language_version="8.0.8" protocol_version="1.0" appid="41964"><engine version="3.0.4"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2021 by Derick Rethans]]></copyright></init>

[41964] [Step Debug] <- step_into -i 0
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="0" status="break" reason="ok"><xdebug:message filename="file:///Users/robertvaessen/Sites/xdebug.test/php/index.php" lineno="3"></xdebug:message></response>

[41964] [Step Debug] <- breakpoint_set -t line -f file:///Users/robertvaessen/Sites/xdebug.test/php/functions.php -n 4 -i 1
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="1" id="419640001"></response>

[41964] [Step Debug] <- stack_depth -i 2
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_depth" transaction_id="2" depth="1"></response>

[41964] [Step Debug] <- stack_get -d 0 -i 3
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="3"><stack where="{main}" level="0" type="file" filename="file:///Users/robertvaessen/Sites/xdebug.test/php/index.php" lineno="3"></stack></response>

[41964] [Step Debug] <- source -f file:///Users/robertvaessen/Sites/xdebug.test/php/index.php -i 4
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="source" transaction_id="4" encoding="base64"><![CDATA[PD9waHAKCmluY2x1ZGUgJ2RlZmluaXRpb25zLnBocCc7CmluY2x1ZGUgJ2Z1bmN0aW9ucy5waHAnOwoKc2Vzc2lvbl9zdGFydCgpOwoKJF9TRVNTSU9OWyJiYWNrZ3JvdW5kLWNvbG9yIl0gPSAiZ3JheSI7Cgo/PgoKPCFET0NUWVBFIGh0bWw+CjxodG1sPgoKICAgIDxoZWFkPgogICAgICAgIDx0aXRsZT5QSFA8L3RpdGxlPgogICAgICAgIDxsaW5rIHJlbD0nc3R5bGVzaGVldCcgdHlwZT0ndGV4dC9jc3MnIGhyZWY9J3N0eWxlLmNzcy5waHAnIC8+CiAgICAgICAgPHNj
[41964] [Step Debug] <- context_names -d 0 -i 5
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="5"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[41964] [Step Debug] <- context_get -d 0 -c 0 -i 6
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="6" context="0"><property name="$myVar" fullname="$myVar" type="uninitialized"></property></response>

[41964] [Step Debug] <- context_get -d 0 -c 1 -i 7
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="7" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="1" page="0" pagesize="32"><property name="PHPSESSID" fullname="$_COOKIE[&quot;PHPSESSID&quot;]" type="string" size="26" encoding="base64"><![CDATA[b3IydmRpM2VwcHZzNDg5dHRyMHM2NWNmNG0=]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="1" numchil
[41964] [Step Debug] <- context_get -d 0 -c 2 -i 8
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="8" context="2"></response>

[41964] [Step Debug] <- run -i 9
[41964] [Step Debug] DEBUG: Breakpoint 419640001 (type: line).
[41964] [Step Debug] DEBUG: R: File name (/Users/robertvaessen/Sites/xdebug.test/php/definitions.php) does not match breakpoint to resolve (/Users/robertvaessen/Sites/xdebug.test/php/functions.php).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:4.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:4'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Breakpoint 419640001 (type: line).
[41964] [Step Debug] DEBUG: R: Line number (4) in smallest range of range (3-5).
[41964] [Step Debug] DEBUG: F: Breakpoint line (4) found in set of executable lines.
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:6.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:6'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:8.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:8'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:11.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:11'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:27.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:27'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:35.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:35'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:30.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:30'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:32.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:32'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:33.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:33'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:38.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:38'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:40.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:40'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).

// Dear XDebug team - The next 5 lines show xdebug successfully matching the breakpoint on line 4 of the functions.php file.
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4'.
[41964] [Step Debug] DEBUG: F: File names match (/Users/robertvaessen/Sites/xdebug.test/php/functions.php).
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="9" status="break" reason="ok"><xdebug:message filename="file:///Users/robertvaessen/Sites/xdebug.test/php/functions.php" lineno="4"></xdebug:message></response>

[41964] [Step Debug] <- stack_depth -i 10
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_depth" transaction_id="10" depth="2"></response>

[41964] [Step Debug] <- stack_get -d 0 -i 11
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="11"><stack where="doSomething" level="0" type="file" filename="file:///Users/robertvaessen/Sites/xdebug.test/php/functions.php" lineno="4"></stack></response>

[41964] [Step Debug] <- stack_get -d 1 -i 12
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="12"><stack where="{main}" level="1" type="file" filename="file:///Users/robertvaessen/Sites/xdebug.test/php/index.php" lineno="40"></stack></response>

[41964] [Step Debug] <- source -f file:///Users/robertvaessen/Sites/xdebug.test/php/functions.php -i 13
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="source" transaction_id="13" encoding="base64"><![CDATA[PD9waHAKCmZ1bmN0aW9uIGRvU29tZXRoaW5nKCkgewogICAgZWNobyAiV1RGISI7Cn0K]]></response>

[41964] [Step Debug] <- context_names -d 0 -i 14
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="14"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[41964] [Step Debug] <- context_get -d 0 -c 0 -i 15
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="0"></response>

[41964] [Step Debug] <- context_get -d 0 -c 1 -i 16
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="1" page="0" pagesize="32"><property name="PHPSESSID" fullname="$_COOKIE[&quot;PHPSESSID&quot;]" type="string" size="26" encoding="base64"><![CDATA[b3IydmRpM2VwcHZzNDg5dHRyMHM2NWNmNG0=]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="1" numchi
[41964] [Step Debug] <- context_get -d 0 -c 2 -i 17
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="17" context="2"></response>

[41965] Log opened at 2022-04-26 11:27:45.825395
[41965] [Step Debug] INFO: Connecting to configured address/port: localhost:9000.
[41965] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[41965] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[41965] [Step Debug] ERR: Could not connect to debugging client. Tried: localhost:9000 (through xdebug.client_host/xdebug.client_port) :-(
[41966] Log opened at 2022-04-26 11:27:45.841339
[41966] [Step Debug] INFO: Connecting to configured address/port: localhost:9000.
[41966] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[41966] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[41966] [Step Debug] ERR: Could not connect to debugging client. Tried: localhost:9000 (through xdebug.client_host/xdebug.client_port) :-(
[41964] [Step Debug] <- run -i 18
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/functions.php:5.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:5'.
[41964] [Step Debug] DEBUG: R: Line number (5) doesn't match with breakpoint (4).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:42.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:42'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Sites/xdebug.test/php/functions.php:4.
[41964] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Sites/xdebug.test/php/index.php:48.
[41964] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Sites/xdebug.test/php/functions.php:4' against location '/Users/robertvaessen/Sites/xdebug.test/php/index.php:48'.
[41964] [Step Debug] DEBUG: R: File name length (52) doesn't match with breakpoint (56).
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="18" status="stopping" reason="ok"></response>

[41964] [Step Debug] <- stop -i 19
[41964] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stop" transaction_id="19" status="stopped" reason="ok"></response>

[41965] Log closed at 2022-04-26 11:28:03.592127

[41964] Log closed at 2022-04-26 11:28:03.592450

[41966] Log closed at 2022-04-26 11:28:03.592908

xdebugBreakpointSuccess.log (16,982 bytes)   
xdebugBreakpointFailure.log (33,002 bytes)   
[43127] Log opened at 2022-04-26 11:47:56.076612
[43127] [Step Debug] INFO: Connecting to configured address/port: localhost:9000.
[43127] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[43127] [Step Debug] INFO: Connected to debugging client: localhost:9000 (through xdebug.client_host/xdebug.client_port). :-)
[43127] [Step Debug] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/Learn/php/index.php" language="PHP" xdebug:language_version="8.0.8" protocol_version="1.0" appid="43127"><engine version="3.0.4"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2021 by Derick Rethans]]></copyright></init>

[43127] [Step Debug] <- step_into -i 0
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="0" status="break" reason="ok"><xdebug:message filename="file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/Learn/php/index.php" lineno="3"></xdebug:message></response>

[43127] [Step Debug] <- breakpoint_set -t line -f file:///Users/robertvaessen/Library/Mobile%%20Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php -n 4 -i 1
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="1" id="431270001"></response>

[43127] [Step Debug] <- stack_depth -i 2
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_depth" transaction_id="2" depth="1"></response>

[43127] [Step Debug] <- stack_get -d 0 -i 3
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="3"><stack where="{main}" level="0" type="file" filename="file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/Learn/php/index.php" lineno="3"></stack></response>

[43127] [Step Debug] <- source -f file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/Learn/php/index.php -i 4
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="source" transaction_id="4" encoding="base64"><![CDATA[PD9waHAKCmluY2x1ZGUgJ2RlZmluaXRpb25zLnBocCc7CmluY2x1ZGUgJ2Z1bmN0aW9ucy5waHAnOwppbmNsdWRlICRfU0VSVkVSWydET0NVTUVOVF9ST09UJ10gLiAnL3Jlc291cmNlcy9waHAvZnVuY3Rpb25zLnBocCc7CgpzZXNzaW9uX3N0YXJ0KCk7CgokX1NFU1NJT05bImJhY2tncm91bmQtY29sb3IiXSA9ICJncmF5IjsKCj8+Cgo8IURPQ1RZUEUgaHRtbD4KPGh0bWw+CgogICAgPGhlYWQ+CiAgICAgICAgPHRpdGxlPlBIUDwvdGl0bGU+CiAgICAgICAgPGxpbmsg
[43127] [Step Debug] <- context_names -d 0 -i 5
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="5"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[43127] [Step Debug] <- context_get -d 0 -c 0 -i 6
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="6" context="0"><property name="$myVar" fullname="$myVar" type="uninitialized"></property></response>

[43127] [Step Debug] <- context_get -d 0 -c 1 -i 7
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="7" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="1" page="0" pagesize="32"><property name="PHPSESSID" fullname="$_COOKIE[&quot;PHPSESSID&quot;]" type="string" size="26" encoding="base64"><![CDATA[cXV1N29laGFjcHFqdmxmZTMzZzFvOGhuZDA=]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="1" numchil
[43127] [Step Debug] <- context_get -d 0 -c 2 -i 8
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="8" context="2"></response>

[43127] [Step Debug] <- run -i 9
[43127] [Step Debug] DEBUG: Breakpoint 431270001 (type: line).
[43127] [Step Debug] DEBUG: R: File name (/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/definitions.php) does not match breakpoint to resolve (/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:4.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:4'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Breakpoint 431270001 (type: line).
[43127] [Step Debug] DEBUG: R: File name (/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php) does not match breakpoint to resolve (/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:5.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:5'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Breakpoint 431270001 (type: line).
[43127] [Step Debug] DEBUG: R: File name (/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/resources/php/functions.php) does not match breakpoint to resolve (/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/resources/php/functions.php:27.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/resources/php/functions.php:27'.
[43127] [Step Debug] DEBUG: R: File name length (103) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:7.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:7'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:9.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:9'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:12.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:12'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:29.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:29'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:37.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:37'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:32.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:32'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:34.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:34'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:35.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:35'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:40.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:40'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:42.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:42'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).

// Dear XDebug team - The next 4 lines show xdebug failing to match the breakpoint on line 4 of the functions.php file. Note that a % (escaping the space) has been added to the breakpoint location whereas a % has not beeen added to the current location.
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4'.
[43127] [Step Debug] DEBUG: R: File name length (99) doesn't match with breakpoint (100).

[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:5.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:5'.
[43127] [Step Debug] DEBUG: R: File name length (99) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:44.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:44'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:50.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/index.php:50'.
[43127] [Step Debug] DEBUG: R: File name length (95) doesn't match with breakpoint (100).
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="9" status="stopping" reason="ok"></response>

[43127] [Step Debug] <- stop -i 10
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stop" transaction_id="10" status="stopped" reason="ok"></response>

[43127] Log closed at 2022-04-26 11:48:01.373237

[43128] Log opened at 2022-04-26 11:48:01.384369
[43128] [Step Debug] INFO: Connecting to configured address/port: localhost:9000.
[43130] Log opened at 2022-04-26 11:48:01.389023
[43130] [Step Debug] INFO: Connecting to configured address/port: localhost:9000.
[43129] Log opened at 2022-04-26 11:48:01.389023
[43129] [Step Debug] INFO: Connecting to configured address/port: localhost:9000.
[43130] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[43128] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[43130] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[43130] [Step Debug] ERR: Could not connect to debugging client. Tried: localhost:9000 (through xdebug.client_host/xdebug.client_port) :-(
[43128] [Step Debug] INFO: Connected to debugging client: localhost:9000 (through xdebug.client_host/xdebug.client_port). :-)
[43128] [Step Debug] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/Learn/php/style.css.php" language="PHP" xdebug:language_version="8.0.8" protocol_version="1.0" appid="43128"><engine version="3.0.4"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2021 by Derick Rethans]]></copyright></ini
[43129] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[43128] [Step Debug] <- step_into -i 0
[43129] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[43129] [Step Debug] ERR: Could not connect to debugging client. Tried: localhost:9000 (through xdebug.client_host/xdebug.client_port) :-(
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="0" status="break" reason="ok"><xdebug:message filename="file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/Learn/php/style.css.php" lineno="2"></xdebug:message></response>

[43128] [Step Debug] <- breakpoint_set -t line -f file:///Users/robertvaessen/Library/Mobile%%20Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php -n 4 -i 1
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="1" id="431280001"></response>

[43128] [Step Debug] <- stack_depth -i 2
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_depth" transaction_id="2" depth="1"></response>

[43128] [Step Debug] <- stack_get -d 0 -i 3
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="3"><stack where="{main}" level="0" type="file" filename="file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/Learn/php/style.css.php" lineno="2"></stack></response>

[43128] [Step Debug] <- source -f file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/Learn/php/style.css.php -i 4
[43130] Log closed at 2022-04-26 11:48:01.406015

[43129] Log closed at 2022-04-26 11:48:01.404660

[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="source" transaction_id="4" encoding="base64"><![CDATA[PD9waHAKICAgIGhlYWRlcigiQ29udGVudC10eXBlOiB0ZXh0L2NzczsgY2hhcnNldDogVVRGLTgiKTsKCiAgICBpbmNsdWRlICdkZWZpbml0aW9ucy5waHAnOwoKICAgIHNlc3Npb25fc3RhcnQoKTsKPz4KCmJvZHkgewogICAgYmFja2dyb3VuZC1jb2xvcjogPD9waHAgZWNobygkX1NFU1NJT05bImJhY2tncm91bmQtY29sb3IiXSkgPz47Cn0K]]></response>

[43128] [Step Debug] <- context_names -d 0 -i 5
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="5"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[43128] [Step Debug] <- context_get -d 0 -c 0 -i 6
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="6" context="0"></response>

[43128] [Step Debug] <- context_get -d 0 -c 1 -i 7
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="7" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="1" page="0" pagesize="32"><property name="PHPSESSID" fullname="$_COOKIE[&quot;PHPSESSID&quot;]" type="string" size="26" encoding="base64"><![CDATA[cXV1N29laGFjcHFqdmxmZTMzZzFvOGhuZDA=]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="1" numchil
[43128] [Step Debug] <- context_get -d 0 -c 2 -i 8
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="8" context="2"></response>

[43128] [Step Debug] <- run -i 9
[43128] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43128] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:4.
[43128] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:4'.
[43128] [Step Debug] DEBUG: R: File name length (99) doesn't match with breakpoint (100).
[43128] [Step Debug] DEBUG: Breakpoint 431280001 (type: line).
[43128] [Step Debug] DEBUG: R: File name (/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/definitions.php) does not match breakpoint to resolve (/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php).
[43128] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43128] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:6.
[43128] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:6'.
[43128] [Step Debug] DEBUG: R: File name length (99) doesn't match with breakpoint (100).
[43128] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43128] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:8.
[43128] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:8'.
[43128] [Step Debug] DEBUG: R: File name length (99) doesn't match with breakpoint (100).
[43128] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43128] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:10.
[43128] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:10'.
[43128] [Step Debug] DEBUG: R: File name length (99) doesn't match with breakpoint (100).
[43128] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43128] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:10.
[43128] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/Learn/php/style.css.php:10'.
[43128] [Step Debug] DEBUG: R: File name length (99) doesn't match with breakpoint (100).
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="9" status="stopping" reason="ok"></response>

[43128] [Step Debug] <- stop -i 10
[43128] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stop" transaction_id="10" status="stopped" reason="ok"></response>

[43128] Log closed at 2022-04-26 11:48:03.261804

[43127] Log opened at 2022-04-26 11:48:03.281941
[43127] [Step Debug] INFO: Connecting to configured address/port: localhost:9000.
[43127] [Step Debug] WARN: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (19).
[43127] [Step Debug] INFO: Connected to debugging client: localhost:9000 (through xdebug.client_host/xdebug.client_port). :-)
[43127] [Step Debug] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/resources/javascript/logging.js.php" language="PHP" xdebug:language_version="8.0.8" protocol_version="1.0" appid="43127"><engine version="3.0.4"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2021 by Derick Rethans]]></cop
[43127] [Step Debug] <- step_into -i 0
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="0" status="break" reason="ok"><xdebug:message filename="file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/resources/javascript/logging.js.php" lineno="2"></xdebug:message></response>

[43127] [Step Debug] <- breakpoint_set -t line -f file:///Users/robertvaessen/Library/Mobile%%20Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php -n 4 -i 1
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="1" id="431270002"></response>

[43127] [Step Debug] <- stack_depth -i 2
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_depth" transaction_id="2" depth="1"></response>

[43127] [Step Debug] <- stack_get -d 0 -i 3
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="3"><stack where="{main}" level="0" type="file" filename="file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/resources/javascript/logging.js.php" lineno="2"></stack></response>

[43127] [Step Debug] <- source -f file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/resources/javascript/logging.js.php -i 4
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="source" transaction_id="4" encoding="base64"><![CDATA[PD9waHAKICAgIGhlYWRlcigiQ29udGVudC10eXBlOiBhcHBsaWNhdGlvbi9qYXZhc2NyaXB0OyBjaGFyc2V0OiBVVEYtOCIpOwo/PgoKY2xhc3MgTG9nZ2VyIHsKICAgIGNvbnN0cnVjdG9yKCkgewogICAgICAgIHRoaXMuaW5kZW50ID0gMAogICAgICAgIHRoaXMuZW5hYmxlZCA9IHRydWUKICAgIH0KCiAgICBlbmFibGUoKSB7IHRoaXMuZW5hYmxlZCA9IHRydWUgfQoKICAgIGRpc2FibGUoKSB7IHRoaXMuZW5hYmxlZCA9IGZhbHNlIH0KCiAgICBpbmNyZWFzZUluZGVu
[43127] [Step Debug] <- context_names -d 0 -i 5
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="5"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[43127] [Step Debug] <- context_get -d 0 -c 0 -i 6
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="6" context="0"></response>

[43127] [Step Debug] <- context_get -d 0 -c 1 -i 7
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="7" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="1" page="0" pagesize="32"><property name="PHPSESSID" fullname="$_COOKIE[&quot;PHPSESSID&quot;]" type="string" size="26" encoding="base64"><![CDATA[cXV1N29laGFjcHFqdmxmZTMzZzFvOGhuZDA=]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="1" numchil
[43127] [Step Debug] <- context_get -d 0 -c 2 -i 8
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="8" context="2"></response>

[43127] [Step Debug] <- run -i 9
[43127] [Step Debug] DEBUG: Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.
[43127] [Step Debug] DEBUG: I: Current location: /Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/resources/javascript/logging.js.php:4.
[43127] [Step Debug] DEBUG: I: Matching breakpoint '/Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4' against location '/Users/robertvaessen/Library/Mobile Documents/com~apple~CloudDocs/Wordpress/resources/javascript/logging.js.php:4'.
[43127] [Step Debug] DEBUG: R: File name length (111) doesn't match with breakpoint (100).
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="9" status="stopping" reason="ok"></response>

[43127] [Step Debug] <- stop -i 10
[43127] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stop" transaction_id="10" status="stopped" reason="ok"></response>

[43127] Log closed at 2022-04-26 11:48:05.561529

xdebugBreakpointFailure.log (33,002 bytes)   

derick

2022-04-26 16:27

administrator   ~0006278

Hi,

I think it is your IDE that is doing this wrong. It is setting a breakpoint with the extra % in line 10:

breakpoint_set -t line -f file:///Users/robertvaessen/Library/Mobile%%20Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php -n 4 -i 1

But then later, it uses the correct file name when running the "source" command in line 19:

source -f file:///Users/robertvaessen/Library/Mobile%20Documents/com%7Eapple%7ECloudDocs/Wordpress/Learn/php/index.php -i 4

Where you have added "Dear XDebug", you see Xdebug comparing againt the breakpoint that was actually set (with the extra %, and the %20 correctly converted into a space):

Checking whether to break on /Users/robertvaessen/Library/Mobile% Documents/com~apple~CloudDocs/Wordpress/Learn/php/functions.php:4.

You didn't say which IDE you're using, so can't point you to the right issue tracker for them.

cheers,
Derick

verticon

2022-04-28 16:09

reporter   ~0006283

Thank you, Derick, for the quick response. I've switched to another UI (the php-debug package for Atom) but am still going through the initial "get it working' phase. I'll report back. The difficulty with the space character occurred with MacGDBp - I'll be submitting a report to those folks.

verticon

2022-04-28 18:38

reporter   ~0006284

Okay.

I got Atom's php-debug package working and thus established that xdebug does not have a problem handling paths with a space in the name of one of the path's components.

I've also submitted a problem report to macGDBp.

Thank you xdebug team for the excellent support.

derick

2022-04-28 19:37

administrator   ~0006285

Okay. Glad that we found the actual problem (and that it wasn't in Xdebug :-)).

I'll close this out then. And the team is really just me. ;-)

If you can pop in the link in a comment to the macdbgp issue, that'd be good as a reference.

verticon

2022-04-28 19:45

reporter   ~0006286

A team unto himself! :-)

Here is the macGDBp bug report link: https://www.bluestatic.org/bugs/showreport.php?bugid=267

Issue History

Date Modified Username Field Change
2022-04-26 13:39 verticon New Issue
2022-04-26 13:39 verticon File Added: xdebugBreakpointSuccess.log
2022-04-26 13:39 verticon File Added: xdebugBreakpointFailure.log
2022-04-26 16:27 derick Assigned To => derick
2022-04-26 16:27 derick Status new => feedback
2022-04-26 16:27 derick Note Added: 0006278
2022-04-28 16:09 verticon Note Added: 0006283
2022-04-28 16:09 verticon Status feedback => assigned
2022-04-28 18:38 verticon Note Added: 0006284
2022-04-28 19:37 derick Status assigned => resolved
2022-04-28 19:37 derick Resolution open => no change required
2022-04-28 19:37 derick Note Added: 0006285
2022-04-28 19:45 verticon Note Added: 0006286